Bug 788749 - Log not clear enough on schema errors
Summary: Log not clear enough on schema errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 23:04 UTC by Rich Megginson
Modified: 2013-07-22 04:59 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When schema or configuration file had an error, the error was cryptic. Fix: Replaced the cryptic error logs with human readable ones.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:14:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-02-08 23:04:14 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/35

https://bugzilla.redhat.com/show_bug.cgi?id=733349

{{{
When a schema file has an error, the log file is not clear enough and may give
the impression the error is in dse.ldif

Example:
[25/Aug/2011:09:53:47 -0400] dse - parsing dse entry [attributeTypes]
[25/Aug/2011:09:53:47 -0400] dse - Please edit the file to correct the reported
problems and then restart the server.


Expected behaviour:
The server specifies in which file (and possible line number) the error was
encountered.
}}}

Comment 1 Jenny Severance 2012-02-14 19:36:08 UTC
See upstream ticket for steps to reproduce

Comment 3 Noriko Hosoi 2012-05-10 19:24:46 UTC
Adding a test case to tet.

Comment 4 Noriko Hosoi 2012-05-14 19:44:52 UTC
Done.

Added a test case bug788749 to schema/runschema.sh.
--  --
M    runschema.sh

Comment 5 Amita Sharma 2012-05-23 04:41:25 UTC
Test is passed.
quickinstall startup 	100% (2/2) 	  	 
Schema startup 	100% (1/1) 	  	 
Schema run 	100% (1/1) 	  	 
Schema cleanup 	100% (1/1) 	  	 
QuickUninstall cleanup 	100% (1/1) 	 

Hence marking bug as VERIFIED.

Comment 6 Noriko Hosoi 2012-05-25 00:58:50 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When schema or configuration file had an error, the error was cryptic.
Fix: Replaced the cryptic error logs with human readable ones.

Comment 7 errata-xmlrpc 2012-06-20 07:14:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html

Comment 8 Sankar Ramalingam 2013-07-22 04:59:43 UTC
As per comment - https://bugzilla.redhat.com/show_bug.cgi?id=788749#c4, Adding qe_test_coverage+ tag.


Note You need to log in before you can comment on or make changes to this bug.